/*!
  \example swapSample.cpp

  \brief URG オブジェクトの交換サンプル

  シリアル ID によって URG の通信オブジェクトを交換する場合は、swapConnection() を用いるとよい

  \author Satofumi KAMIMURA

  $Id: swapSample.cpp 1739 2010-03-06 07:43:32Z satofumi $
*/

#include "UrgDevice.h"
#include "ConnectionUtils.h"
#include <SDL.h>

using namespace qrk;


int main(int argc, char *argv[])
{
  UrgDevice urg_0;
  UrgDevice urg_1;

  swapConnection<UrgDevice>(urg_0, urg_1);

  return 0;
}
